local function zoom_camera(x_loc,y_loc,zoom,time)
	
	local tile_size = 8
	
	local location = vector2(x_loc*tile_size+160, y_loc*tile_size+80)
	
	coroutine.yield(engine.Scene:ZoomTo(location, zoom, time))
	
end

local function zoom_back(time)
	coroutine.yield(engine.Scene:ZoomBack(time))
end

local x_loc = player.Position.x
local y_loc = player.Position.y
player.ForceCameraUpdate = true

function onBegin(room)

	disableMovement ()
	setFlag("inferno_fade", false)
	playMusic ("event:/WOC/music/Stuffo_WOC_music_intermission", 0)
	walk(8)
	wait(4)
	say("StuffoWOC03_21")
	wait(1)
	say("StuffoWOC03_22")
	setFlag("summon_gem", true)
	setFlag("summon_gem_b", true)
	wait(2)
	setFlag("summon_gem", false)
	wait(0.5)
	
end

function onEnd(room, wasSkipped)
	
	enableMovement ()
	setFlag("summon_gem_b", true)
end